// LockFolder.h : Declaration of the CLockFolder

#ifndef __LOCKFOLDER_H_
#define __LOCKFOLDER_H_

#include "resource.h"       // main symbols
#include "lockfold.h"

void _cdecl DebugOut_CompiledOutOfReleaseBuild( TCHAR *format,... );
#ifdef _DEBUG
#define DEBUGOUT DebugOut_CompiledOutOfReleaseBuild
#else
#define DEBUGOUT 1 ? (void)0 : DebugOut_CompiledOutOfReleaseBuild
#endif 


/////////////////////////////////////////////////////////////////////////////
// CLockFolder
class ATL_NO_VTABLE CLockFolder : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CLockFolder, &CLSID_LockFolder>,
	public CFolder,
	public IDispatchImpl<ILockFolder, &IID_ILockFolder, &LIBID_LOCKDLGSLib>
{
public:
	CLockFolder()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_LOCKFOLDER)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CLockFolder)
	COM_INTERFACE_ENTRY(ILockFolder)
	COM_INTERFACE_ENTRY(IDispatch)
    COM_INTERFACE_ENTRY_IID(IID_IShellFolder, CFolder)
END_COM_MAP()

// ILockFolder
public:
};

#endif //__LOCKFOLDER_H_
