/*=========================================================================*/
/*                             IconLock.h                                  */
/*                                                                         */
/*               Shared Header file for LockDLL.c and IconLock.c           */
/*               and other modules                                         */
/*=========================================================================*/
#define EXPORTED __declspec( dllexport )
#define IMPORTED __declspec( dllimport ) 
#define SZ_SHUTDOWN "IconLockShutdown"			//for registered message
#define SZ_APPNAME  "IconLock"					//			''
#define SZ_CLASS_NAME "IconLockClass"

//shared equates between LockHlpr and IconDll
//Used with the private message
#define DESKTOP_LOCKED	   0x01     //the desktop is locked	
#define LOCK_EXPLORER	   0x02	    //lock explorer 
#define LOCK_COMMONDLGS    0x04     //lock common dialogs
#define LOCK_FILESFOLDERS  0x08     //lock all desktop files and files

#define EXPLORER_LOCKED     (UINT)(DESKTOP_LOCKED | LOCK_EXPLORER)
#define COMMONDLGS_LOCKED   (UINT)(DESKTOP_LOCKED | LOCK_COMMONDLGS)
#define FILESFOLDERS_LOCKED (UINT)(DESKTOP_LOCKED | LOCK_FILESFOLDERS)

#define MSG_SHUTDOWNDLG	WM_USER

EXPORTED HHOOK HookProgMan( DWORD , HWND *);

